Name:           PyAMF
Version:        0.6.1
Release:        1%{?dist}
Summary:        Python Action Message Format (AMF) support

Group:          Development/Libraries
License:        MIT
URL:            http://www.pyamf.org
Source0:        http://pypi.python.org/packages/source/P/PyAMF/PyAMF-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python


%description
PyAMF provides Action Message Format (AMF) support for Python that is
compatible with the Adobe Flash Player. It includes integration with Python
web frameworks like Django, Pylons, Twisted, SQLAlchemy, web2py and more.

The Adobe Integrated Runtime and Adobe Flash Player use AMF to communicate
between an application and a remote server. AMF encodes remote procedure
calls (RPC) into a compact binary representation that can be transferred
over HTTP/HTTPS or the RTMP/RTMPS protocol. Objects and data values are
serialized into this binary format, which increases performance, allowing
applications to load data up to 10 times faster than with text-based formats
such as XML or SOAP.

%package doc
Summary:  Separate docs for PyAMF
Requires: %{name} = %{version}-%{release}

%description doc
Complete documentation for PyAMF, as found on website.

%global __provides_exclude_from %{python_sitearch}/cpyamf/*


%prep
%setup -q
find doc -type f -exec chmod a-x {} \;


%build
%{__python} setup.py --quiet build
find doc  -name *.as  -exec sed -i 's/\r/\n/g' {} \;
find doc  -name *.asc -exec sed -i 's/\r/\n/g' {} \;
find doc  -name *.css -exec sed -i 's/\r/\n/g' {} \;
find doc  -name *.xml -exec sed -i 's/\r/\n/g' {} \;

%check
%{__python} setup.py --quiet  test


%install
%{__python} setup.py --quiet install -O1 --skip-build --root %{buildroot}
chmod 755 %{buildroot}%{python_sitearch}/cpyamf/*.so


%files
%doc README.txt LICENSE.txt CHANGES.txt
%{python_sitelib}/pyamf
%{python_sitearch}/cpyamf
%{python_sitelib}/*.egg-info


%files doc
%doc doc


%changelog
* Mon Nov 26 2012 Alec Leamas <leamas.alec@gmail.com> - 0.6.1-1
- Initial version
